Name:		etherbat
Version:	1.0.1
Release:	5%{?dist}
Summary:	Ethernet topology discovery

Group:		Applications/Internet
License:	GPLv2
URL:		http://etherbat.cryptonix.org/
Source0:	https://launchpad.net/etherbat/1.0.x/1.0.1/+download/etherbat-1.0.1.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libnet-devel, libpcap-devel, glib2-devel

Requires:	ruby

%description
Etherbat performs Ethernet topology discovery between 3 hosts: the machine
running Etherbat and two other devices.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" make LIBNET_STATIC=%{_libdir}/libnet.a

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -D -m 755 -p eb-sniffer $RPM_BUILD_ROOT%{_bindir}
install -D -m 755 -p eb-injector $RPM_BUILD_ROOT%{_bindir}
install -D -m 755 -p etherbat $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.html tests.html style.css
%{_bindir}/eb-sniffer
%{_bindir}/eb-injector
%{_bindir}/etherbat

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> 1.0.1-4
- GCC 4.3 rebuild.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> 1.0.1-3
- License tag correction.

* Tue Jun 12 2007 Jon Ciesla <limb@jcomserv.net> 1.0.1-2
- Fixed optflags for 64-bit build.

* Thu May 31 2007 Jon Ciesla <limb@jcomserv.net> 1.0.1-1
- Patch removed, static libnet issue fixed upstream.

* Thu May 31 2007 Jon Ciesla <limb@jcomserv.net> 1.0.0-1
- Initial packaging.
